View Issue Details

IDProjectCategoryView StatusLast Update
0004622GNUnetcadet servicepublic2018-06-07 00:24
Reporterch3Assigned ToChristian Grothoff 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004622: unable to cancel cadet messages via mq / implement cadet_mq_cancel_impl
DescriptionIt is currently not possible to cancel already queued mq messages with GNUNET_MQ_send_cancel () as the implementation of the cancellation of messages for mq (GNUNET_MQ_CancelImpl, given as a parameter to GNUNET_MQ_queue_for_callbacks () in GNUNET_CADET_MQ_create() ) is missing.
See FIXME at src/cadet/cadet_api.c:2060.
Steps To ReproduceCall GNUNET_MQ_send_cancel () on a cadet mq.
Additional InformationNote: Needed in RPS for the cancellation of messages. (Implementation in gnunet-service-rps_peers.c)
TagsNo tags attached.

Activities

Christian Grothoff

2017-02-21 18:28

manager   ~0011812

No longer relevant after CADET rewrite.

Issue History

Date Modified Username Field Change
2016-08-22 18:45 ch3 New Issue
2016-08-22 18:45 ch3 Status new => assigned
2016-08-22 18:45 ch3 Assigned To => Bart Polot
2016-09-22 20:11 Christian Grothoff Target Version => 0.11.0pre66
2017-02-21 18:28 Christian Grothoff Status assigned => resolved
2017-02-21 18:28 Christian Grothoff Resolution open => fixed
2017-02-21 18:28 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-02-21 18:28 Christian Grothoff Note Added: 0011812
2017-02-21 18:29 Christian Grothoff Assigned To Bart Polot => Christian Grothoff
2018-06-07 00:24 Christian Grothoff Status resolved => closed